Package org.apache.tools.ant.types.resources

# Class LogOutputResource

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.types.DataType
org.apache.tools.ant.types.Resource
org.apache.tools.ant.types.resources.LogOutputResource

All Implemented Interfaces:
  `java.lang.Cloneable`, `java.lang.Comparable<Resource>`, `java.lang.Iterable<Resource>`, `ResourceCollection`, `Appendable`

    public class LogOutputResource
    extends Resource
    implements Appendable

Output-only Resource that always appends to Ant's log.

Since:
  Ant 1.8

## Field Summary

### Fields inherited from class org.apache.tools.ant.types.Resource

`MAGIC, UNKNOWN_DATETIME, UNKNOWN_SIZE`

### Fields inherited from class org.apache.tools.ant.types.DataType

`checked, ref`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`LogOutputResource​(ProjectComponent managingComponent)` | Create a new LogOutputResource.
`LogOutputResource​(ProjectComponent managingComponent, int level)` | Create a new LogOutputResource.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.io.OutputStream` | `getAppendOutputStream()` | Get an appending OutputStream.
`java.io.OutputStream` | `getOutputStream()` | Get an OutputStream for the Resource.

### Methods inherited from class org.apache.tools.ant.types.Resource

`as, asOptional, clone, compareTo, equals, getInputStream, getLastModified, getMagicNumber, getName, getRef, getSize, hashCode, isDirectory, isExists, isFilesystemOnly, iterator, setDirectory, setExists, setLastModified, setName, setRefid, setSize, size, toLongString, toString`

### Methods inherited from class org.apache.tools.ant.types.DataType

`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, tooManyAttributes`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface org.apache.tools.ant.types.ResourceCollection

`isEmpty, stream`

## Constructor Details

### LogOutputResource

public LogOutputResource​(ProjectComponent managingComponent)
Create a new LogOutputResource.

Parameters:
  `managingComponent` - ditto

### LogOutputResource

public LogOutputResource​(ProjectComponent managingComponent, int level)
Create a new LogOutputResource.

Parameters:
  `managingComponent` - owning log content
  `level` - log level

## Method Details

### getAppendOutputStream

public java.io.OutputStream getAppendOutputStream() throws java.io.IOException
Get an appending OutputStream.

Specified by:
  `getAppendOutputStream` in interface `Appendable`
Returns:
  OutputStream
Throws:
  `java.io.IOException` - if anything goes wrong

### getOutputStream

public java.io.OutputStream getOutputStream() throws java.io.IOException
Get an OutputStream for the Resource.

Overrides:
  `getOutputStream` in class `Resource`
Returns:
  an OutputStream to which content can be written.
Throws:
  `java.io.IOException` - if unable to provide the content of this Resource as a stream.